# Quick AlgoSec Chef Example

This folder is that which is being generated by following the walkthourgh in the examples [README.md](../README.md). To fully understand what is in this folder, please refer to this README file.

# Usage

To quickly modify and run this example cookbook:

1. Download this `algosec-chef-example` folder by clicking [here](https://minhaskamal.github.io/DownGit/#/home?url=https://github.com/algosec/algosec-chef/tree/master/examples/algosec-chef-example). 
2. Unzip it.
3. Download the `algosec` cookbook dependency from the Chef Supermarket:
      
    ```bash
    $ cd algosec-chef-example/cookbooks
    # (Now we're in algosec-chef-example/cookbooks)
    
    # Now download the cookbook tar, untar to a folder, and delete the tar file
    $ knife cookbook site download algosec; tar -xvf algosec-*.tar.gz; rm algosec-*.tar.gz
    
    ```
    **Notice:** Now the algosec cookbook lives at algosec-chef-example/cookbooks/algosec

 
4. To modify the connection details, credentials and flows to be defined:
    1. To edit credentials and connection details, edit the `algosec` ruby hash in [cookbooks/my_algosec/recipes/default.rb](cookbooks/my_algosec/recipes/default.rb)
    2. To edit the flows definition and application name, edit the content of [cookbooks/my_algosec/flows.json](cookbooks/my_algosec/flows.json).
5. Run the cookbook default recipe using Chef Zero:
    
    ```bash
    $ chef-client -z -o my_algosec::default -j `pwd`/my_algosec/flows.json
    ```
    **Notice:** Make sure that the `-j` option point `flows.json` file with its **full path**.

6. As the cookbook is being run the first time, you can see how it automatically download AlgoSec's ruby SDK gem.

That's it! You can re-run the recipe as many times as you'd like, adding or changing properties, and it will ensure what you set in the recipe is reflected on the AlgoSec. You can update the password, add permissions, or create additional resources.